%define name bmp
%define version 0.9.7.1
%define release %mkrel 5

Name: %{name}
Summary: Beep Media Player
Version: %{version}
Release: %{release}
Source0: %{name}/%{name}-%{version}.tar.gz
Group:   Sound
URL: http://sourceforge.net/projects/beepmp
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires:       unzip
BuildRequires:  gtk2-devel libglade2.0-devel gcc-c++ pkgconfig gettext
BuildRequires:  libvorbis-devel, libogg-devel, libao-devel
BuildRequires:  libesound-devel
BuildRequires:  libalsa-devel
BuildRequires:  gnome-vfs2-devel >= 2.4.0
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
#included in plugin folder 
Obsoletes:   %{name}-mp3 
Provides:    %{name}-mp3 
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description 
Beep Media Player(BMP) is a GTK2 port of the popular X Multimedia
System(XMMS) and more.

#german
%description -l de
Beep Media Player (BMP) ist eine GTK2 Potierung des populären X 
Multimedia System (XMMS)...

%package        devel
Summary:        BMP - Static libraries and header files.
Summary(de):	BMP - statische Bibliotheken und Header Dateien
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
Static libraries and header files required for compiling BMP plugins.

#german
%description    devel -l de
Statische Bibliotheken und Header Dateien werden benötigt zum 
erstellen von BMP Plugins.

%prep
%setup -q

%build
%configure2_5x \
        --disable-opengl \
        --enable-one-plugin-dir \
        --enable-user-plugin-dir \
        --enable-gnome-vfs \
        --with-alsa \
        --enable-mp3 \
        --enable-gconf \
        --with-xmms-eq

%{make} 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 icons/%{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 icons/%{name}.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 icons/%{name}.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png


## cleaning up here rather
rm -f %{buildroot}%{_libdir}/%{name}/*/*.la

%find_lang %{name}

%post
%update_menus
/sbin/ldconfig

%postun 
%clean_menus
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/beep-media-player
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Skins/Default/*
%{_datadir}/%{name}/images/*.png
%{_datadir}/%{name}/glade/*.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/libbeep.so.*
%dir %{_libdir}/%{name}
%{_datadir}/man/man1/beep-media-player.1.bz2
%{_libdir}/%{name}/Plugins/libALSA.so
%{_libdir}/%{name}/Plugins/libOSS.so
%{_libdir}/%{name}/Plugins/libbscope.so
%{_libdir}/%{name}/Plugins/libcdaudio.so
%{_libdir}/%{name}/Plugins/libesdout.so
%{_libdir}/%{name}/Plugins/libmpg123.so
%{_libdir}/%{name}/Plugins/libvorbis.so
%{_libdir}/%{name}/Plugins/libwav.so
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h


%changelog
* Mon May 14 2012 Neal <nealbrks0 at gmail dot com> 0.9.7.1-5pclos2010
- build for 64bit

* Fri Dec 25 2009 <texstar at gmail.com> 0.9.7.1-5pclos2010
- rebuild

* Fri Dec 11 2009 Leiche <MeissSW01@aol.com> 0.9.7.1-4pclos2009
- rebuild for PCLinuxOS 2010
- fix category menu

* Fri Jul 17 2009 slick50 <slick50@gmail.com> 0.9.7.1-3pclos2009
- rebuild
- include all plugins in one folder
- remove mp3 plugin

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.9.7.1-2pclos2009
- fix rpm group

* Mon Jul 7 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 0.9.7.1-1pclos2007
- Initial release for PCLinuxOS 2007

* Sun Aug 22 2004 Che
- initial rpm release
